Bug 2076244 (CVE-2022-26498, CVE-2022-26499, CVE-2022-26651) - CVE-2022-26498 CVE-2022-26499 CVE-2022-26651 asterisk: multiple vulnerabilities
Summary: CVE-2022-26498 CVE-2022-26499 CVE-2022-26651 asterisk: multiple vulnerabilities
Keywords:
Status: CLOSED UPSTREAM
Alias: CVE-2022-26498, CVE-2022-26499, CVE-2022-26651
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 2076245 2076246
Blocks:
TreeView+ depends on / blocked
 
Reported: 2022-04-18 12:49 UTC by Sandipan Roy
Modified: 2022-04-18 15:27 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-04-18 15:27:04 UTC


Attachments (Terms of Use)

Description Sandipan Roy 2022-04-18 12:49:25 UTC
https://packetstormsecurity.com/files/166744/AST-2022-001.txt
https://packetstormsecurity.com/files/166745/AST-2022-002.txt
https://packetstormsecurity.com/files/166746/AST-2022-003.txt

"* AST-2022-001: res_stir_shaken: resource exhaustion with large files
  When using STIR/SHAKEN, it???s possible to download files that are not
  certificates. These files could be much larger than what you would expect to
  download.

* AST-2022-002: res_stir_shaken: SSRF vulnerability with Identity header
  When using STIR/SHAKEN, it???s possible to send arbitrary requests like GET to
  interfaces such as localhost using the Identity header.

* AST-2022-003: func_odbc: Possible SQL Injection
  Some databases can use backslashes to escape certain characters, such as
  backticks. If input is provided to func_odbc which includes backslashes it is
  possible for func_odbc to construct a broken SQL query and the SQL query to
  fail."

Comment 1 Sandipan Roy 2022-04-18 12:49:45 UTC
Created asterisk tracking bugs for this issue:

Affects: fedora-all [bug 2076245]

Comment 2 Sandipan Roy 2022-04-18 12:50:12 UTC
Created asterisk tracking bugs for this issue:

Affects: epel-all [bug 2076246]

Comment 3 Product Security DevOps Team 2022-04-18 15:27:02 UTC
This CVE Bugzilla entry is for community support informational purposes only as it does not affect a package in a commercially supported Red Hat product. Refer to the dependent bugs for status of those individual community products.


Note You need to log in before you can comment on or make changes to this bug.